package com.batteryapitest;

import com.oem.battery.BatteryInterfaceManager;






import android.os.Bundle;
import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.widget.TextView;

public class MainActivity extends Activity {
	
    BatteryInterfaceManager ibattery = BatteryInterfaceManager.getDefault();
	
    
    
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		TextView statusText = (TextView) findViewById(R.id.textView);
		
    	statusText.setText( "AtRate: "+ibattery.getAtRate()+"mA\n"
    						+ "AtRateTimeToEmpty: "+ibattery.getAtRateTimeToEmpty()+"m\n"
    						+ "Temperature: "+ ibattery.getTemperature()/10+"\n"
    						+ "Voltage: "+ibattery.getVoltage()+"v\n"
    						+ "Flags: "+ibattery.getFlags()+"\n"
    						+ "NominalAvailableCapacity: "+ibattery.getNominalAvailableCapacity()+"mAH\n"
    						+ "FullAvailableCapacity: "+ibattery.getFullAvailableCapacity()+"mAH\n"
    						+ "RemainingCapacity: "+ibattery.getRemainingCapacity()+"mAH\n"
    						+ "FullChargeCapacity: "+ibattery.getFullChargeCapacity()+"mAH\n"
    						+ "AverageCurrent: "+ibattery.getAverageCurrent()+"mA\n"
    						+ "TimeToEmpty: "+ibattery.getTimeToEmpty()+"m\n"
    						+ "TimeToFull: "+ibattery.getTimeToFull()+"m\n"
    						+ "StandbyCurrent: "+ibattery.getStandbyCurrent()+"mA\n"
    						+ "StandbyTimeToEmpty: "+ibattery.getStandbyTimeToEmpty()+"m\n"
    						+ "MaxLoadCurrent: "+ibattery.getMaxLoadCurrent()+"mA\n"
    						+ "MaxLoadTimeToEmpty: "+ibattery.getMaxLoadTimeToEmpty()+"m\n"
    						+ "AvailableEnergy: "+ibattery.getAvailableEnergy()+"mWhr\n"
    						+ "AveragePower: "+ibattery.getAveragePower()*10+"mW\n"
    						+ "TTEatConstantPower: "+ibattery.getTTEatConstantPower()+"m\n"
    						+ "CycleCount: "+ibattery.getCycleCount()+"\n"
    						+ "StateOfCharge: "+ibattery.getStateOfCharge()+"%\n"
    						+ "Voltage: " +ibattery.getVoltage()+"v\n"
    						+ "Type :" + ibattery.getControl(BatteryInterfaceManager.BQ27541_SUBCMD_DEVCIE_TYPE)+"\n"
    						+ "Id :" + ibattery.getControl(BatteryInterfaceManager.BQ27541_SUBCMD_CHEM_ID)+"\n"
    						+ "Fw :" + ibattery.getControl(BatteryInterfaceManager.BQ27541_SUBCMD_FW_VER)+"\n"
    						+ "Hw  :" + ibattery.getControl(BatteryInterfaceManager.BQ27541_SUBCMD_HW_VER)+"\n"
    						+ "serial  :" + ibattery.getBatterySerialNumber()+"\n"
    						+ "First dCapacity :" + ibattery.getFirstFullyChargedCapacity()+"\n"
    						+ "dCapacity  :" + ibattery.getDesignCapacity()+"\n"
    						+ "date  :" + ibattery.getManufacturingDate()+"\n"
    						+ "backup tyep  :" + ibattery.getBackupBatteryType()+"\n"
    						+ "backup capacity  :" + ibattery.getBackupBatteryCapacity()+"\n"
    						+ "backup state  :" + ibattery.getBackupBatteryChargeState()+"\n"
    						+ "backup mv  :" + ibattery.getBackupBatteryMvoltage()+"\n"
    						);
	}

	@Override
	protected void onPause() {
		// TODO Auto-generated method stub
		super.onPause();
	}

	@Override
	protected void onRestart() {
		// TODO Auto-generated method stub
		super.onRestart();
	}

	@Override
	protected void onResume() {
		// TODO Auto-generated method stub
		super.onResume();
		
		
	}	

}
